package solutions.bitbadger.documents

import java.io.File

/**
 * A wrapper for a throwaway SQLite database
 */
class SQLiteDB : AutoCloseable {

    private var dbName = "";

    init {
        dbName = "test-db-${AutoId.generateRandomString(8)}.db"
        Configuration.connectionString = "jdbc:sqlite:$dbName"
    }

    val conn = Configuration.dbConn()

    init {
        conn.ensureTable(tableName)
    }

    override fun close() {
        conn.close()
        File(dbName).delete()
    }

    companion object {

        /** The catalog table for SQLite's schema */
        val catalog = "sqlite_master"

        /** The table used for test documents */
        val tableName = "test_table"
    }
}
